Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MPUniqueIterator< TYPE, TOCHECKFUNCTOR > Class Template Reference
Iterator

MPUniqueIterator implements memory pool for UniqueIterator. More...

`#include <uniqueiterator.h>`

Inheritance diagram for tlp::MPUniqueIterator< TYPE, TOCHECKFUNCTOR >:
[legend]
Collaboration diagram for tlp::MPUniqueIterator< TYPE, TOCHECKFUNCTOR >:
[legend]

List of all members.

## Public Member Functions

- MPUniqueIterator (Iterator< TYPE > *it, TOCHECKFUNCTOR checkFunctor=TOCHECKFUNCTOR())

## Detailed Description

### template<typename TYPE, typename TOCHECKFUNCTOR = CheckAllFunctor<TYPE>>
class tlp::MPUniqueIterator< TYPE, TOCHECKFUNCTOR >

MPUniqueIterator implements memory pool for UniqueIterator.

Warning:
  never inherit from that class

See also:
  UniqueIterator

## Constructor & Destructor Documentation

template<typename TYPE , typename TOCHECKFUNCTOR = CheckAllFunctor<TYPE>>

tlp::MPUniqueIterator< TYPE, TOCHECKFUNCTOR >::MPUniqueIterator | ( | Iterator< TYPE > * | it,
|  | TOCHECKFUNCTOR | checkFunctor = `TOCHECKFUNCTOR()`
| ) |  | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012